package cn.com.countrygarden.bi.main.dao.wcx;


import cn.com.countrygarden.bi.main.dto.wcx.WcxRoleDto;
import cn.com.countrygarden.bi.main.model.wcx.WcxRole;
import org.apache.ibatis.annotations.Param;
import tk.mybatis.mapper.common.Mapper;

import java.util.List;


public interface WcxRoleMapper extends Mapper<WcxRole> {
    // 新
    List<WcxRoleDto> selectPageData(WcxRoleDto wcxRoleDto);

    Integer selectPageCount(WcxRoleDto wcxRoleDto);

    Integer updateWeightRatio(@Param("weightRatio") Integer weightRatio, @Param("roleType") String roleType);

    Integer getThumsRoleOfLeader();

    int selectWeightRatio(String roleType);

    void update(WcxRole wcxRole);

    /**
     * 查询是否包含人员
     * @param roleId 角色id
     * @return 有则返回:其中的一个人员id,无则返回:null
     */
    String haveUserUnderRole(String roleId);
}
